
/* Intro {{{
 * ----------------------------------------------------------------
 * DConnect Daemon
 *
 *	 #(@) Copyright (c) 2002, DConnect development team
 *	 #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 *
 * ----------------------------------------------------------------
 * }}} */

/* visibility const for fmthln {{{*/
#define VIS_CHAT	1 // fmthln line is visible only in chat
#define VIS_CONS	2 // fmthln line is visible only in console
#define VIS_ALL	3 // fmthln line is visible in chat and in console
/* }}} */

typedef struct{
	userrec_t *usr;
	char *cmd;
	char *param;	
	char *line;	
} chat_param_t;

/* run chat or console command */
void chat_cmd_exec( userrec_t *usr,char *line);

/* display info about changed penalty; kicks baned */
void penalmsg( Tpenalty *penrec);
